Bug 1206568 - [abrt] epiphany-runtime: XGetWindowAttributes(): epiphany killed by SIGSEGV
Summary: [abrt] epiphany-runtime: XGetWindowAttributes(): epiphany killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:83b63cf96253851fa58ec277407...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 12:44 UTC by Stephen Gallagher
Modified: 2016-07-19 13:13 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:13:54 UTC


Attachments (Terms of Use)
File: backtrace (51.15 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: cgroup (191 bytes, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: core_backtrace (39.73 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: dso_list (13.99 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: environ (964 bytes, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: maps (73.77 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: mountinfo (3.41 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: namespaces (85 bytes, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: open_fds (2.16 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: proc_pid_status (996 bytes, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details
File: var_log_messages (1.68 KB, text/plain)
2015-03-27 12:44 UTC, Stephen Gallagher
no flags Details

Description Stephen Gallagher 2015-03-27 12:44:37 UTC
Description of problem:
I attempted to browse to extensions.gnome.org

Version-Release number of selected component:
epiphany-runtime-3.16.0-1.fc22

Additional info:
reporter:       libreport-2.5.0
backtrace_rating: 4
cmdline:        epiphany
crash_function: XGetWindowAttributes
executable:     /usr/bin/epiphany
global_pid:     6940
kernel:         4.0.0-0.rc4.git0.1.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            13041

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XGetWindowAttributes at /lib64/libX11.so.6
 #1 gtk_socket_realize at /lib64/libgtk-3.so.0
 #2 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #5 gtk_widget_realize at /lib64/libgtk-3.so.0
 #6 gtk_widget_set_parent at /lib64/libgtk-3.so.0
 #7 webkitWebViewBaseContainerAdd(_GtkContainer*, _GtkWidget*) at /lib64/libwebkit2gtk-4.0.so.37
 #8 g_cclosure_marshal_VOID__OBJECTv at /lib64/libgobject-2.0.so.0
 #9 _g_closure_invoke_va at /lib64/libgobject-2.0.so.0
 #12 gtk_container_add at /lib64/libgtk-3.so.0
 #13 WebKit::WebPageProxy::createPluginContainer(unsigned long&) at /lib64/libwebkit2gtk-4.0.so.37

Comment 1 Stephen Gallagher 2015-03-27 12:44:40 UTC
Created attachment 1007206 [details]
File: backtrace

Comment 2 Stephen Gallagher 2015-03-27 12:44:41 UTC
Created attachment 1007207 [details]
File: cgroup

Comment 3 Stephen Gallagher 2015-03-27 12:44:42 UTC
Created attachment 1007208 [details]
File: core_backtrace

Comment 4 Stephen Gallagher 2015-03-27 12:44:43 UTC
Created attachment 1007209 [details]
File: dso_list

Comment 5 Stephen Gallagher 2015-03-27 12:44:44 UTC
Created attachment 1007210 [details]
File: environ

Comment 6 Stephen Gallagher 2015-03-27 12:44:45 UTC
Created attachment 1007211 [details]
File: limits

Comment 7 Stephen Gallagher 2015-03-27 12:44:46 UTC
Created attachment 1007212 [details]
File: maps

Comment 8 Stephen Gallagher 2015-03-27 12:44:47 UTC
Created attachment 1007213 [details]
File: mountinfo

Comment 9 Stephen Gallagher 2015-03-27 12:44:48 UTC
Created attachment 1007214 [details]
File: namespaces

Comment 10 Stephen Gallagher 2015-03-27 12:44:49 UTC
Created attachment 1007215 [details]
File: open_fds

Comment 11 Stephen Gallagher 2015-03-27 12:44:49 UTC
Created attachment 1007216 [details]
File: proc_pid_status

Comment 12 Stephen Gallagher 2015-03-27 12:44:50 UTC
Created attachment 1007217 [details]
File: var_log_messages

Comment 13 Michael Catanzaro 2015-04-04 21:33:32 UTC
This looks like a bug in WebKit, not in the browser plugin. Does this happen every time you visit extensions.gnome.org? Are you running GNOME in Wayland?

Comment 14 Stephen Gallagher 2015-04-06 13:51:19 UTC
It doesn't seem to be happening to me today. I don't think I was using Wayland that day, but I don't recall for sure. I'll retest later with Wayland.

Comment 15 Michael Catanzaro 2015-05-23 18:07:23 UTC
Well looking at the backtrace and seeing it didn't get any debuginfo, I'm going to move this one to ABRT too. We have no shortage of bugs with good backtraces that it's not worth spending time on ones that ABRT screwed up.

Comment 16 Jakub Filak 2015-05-25 06:04:49 UTC
Did you generated the backtrace locally (downloading debuginfo packages) or remotely (uploading the coredump to the retrace server)?

Comment 17 Christian Stadelmann 2015-05-25 12:20:53 UTC
(I am not the reporter but I ran into the same bug and abrt pointed me here)

I generated the backtrace locally using gnome-abrt. I don't remember whether I downloaded and installed those packages using `dnf debuginfo-install [packagenames]` or directly by using the gnome-abrt UI.

Comment 18 Stephen Gallagher 2015-05-26 13:29:28 UTC
Honestly, I don't know the answer to those questions any more and when I attempt to reach extensions.gnome.org from Epiphany these days, it appears to work (at least on X)

Comment 19 Fedora End Of Life 2016-07-19 13:13:54 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.